TenantControllerUpdateTenant Method |
PUT /Tenant/{id}
Updates a tenant.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage UpdateTenant(
Guid id,
[FromBodyAttribute] TenantData tenantData,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateTenant (
id As Guid,
<FromBodyAttribute> tenantData As TenantData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ UpdateTenant(
Guid id,
[FromBodyAttribute] TenantData^ tenantData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateTenant :
id : Guid *
[<FromBodyAttribute>] tenantData : TenantData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the tenant to update. - tenantData
- Type: Dundas.BI.WebApi.ModelsTenantData
The data that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
TenantData object containing the tenant data, or a status code indicating the problem.
See Also